Imports System.ComponentModel.DataAnnotations
Imports System.ComponentModel.DataAnnotations.Schema

Namespace ReturnsDomain

    <Table("Customers")>
    Public Class CustomerReference

        <Key>
        Public Property Id As Integer

        Private PrivateFirstName As String
        <StringLength(40)>
        Public Property FirstName As String
            Get
                Return PrivateFirstName
            End Get
            Private Set(ByVal value As String)
                PrivateFirstName = value
            End Set
        End Property

        Private PrivateLastName As String
        <StringLength(40)>
        Public Property LastName As String
            Get
                Return PrivateLastName
            End Get
            Private Set(ByVal value As String)
                PrivateLastName = value
            End Set
        End Property

        Public ReadOnly Property FullName As String

            Get
                Return String.Concat(FirstName & " " & LastName)

            End Get

        End Property
        Public ReadOnly Property FullNameReverse As String

            Get
                Return String.Concat(LastName & ", " & FirstName)

            End Get

        End Property

    End Class

End Namespace